#!/bin/bash

# Initialize variables
EXTRA_OPTIONS=""

if grep -q "MNT_POINT" /etc/beegfs/index/indexEnv.conf; then
    export MNT_POINT=$(grep "MNT_POINT" /etc/beegfs/index/indexEnv.conf | cut -d= -f2)
fi

if grep -q "IDX_PATH" /etc/beegfs/index/indexEnv.conf; then
    export IDX_PATH=$(grep "IDX_PATH" /etc/beegfs/index/indexEnv.conf | cut -d= -f2)
fi

if grep -q "PORT" /etc/beegfs/index/indexEnv.conf; then
    export PORT=$(grep "PORT" /etc/beegfs/index/indexEnv.conf | cut -d= -f2)
fi

if grep -q "DEBUG_MODE" /etc/beegfs/index/indexEnv.conf; then
    export DEBUG_MODE=$(grep "DEBUG_MODE" /etc/beegfs/index/indexEnv.conf | cut -d= -f2)
fi

if grep -q "NUM_THREADS" /etc/beegfs/index/indexEnv.conf; then
    export NUM_THREADS=$(grep "NUM_THREADS" /etc/beegfs/index/indexEnv.conf | cut -d= -f2)
fi

if grep -q "MAX_LEVEL" /etc/beegfs/index/indexEnv.conf; then
    export MAX_LEVEL=$(grep "MAX_LEVEL" /etc/beegfs/index/indexEnv.conf | cut -d= -f2)
fi

if grep -q "MEMORY_SIZE" /etc/beegfs/index/indexEnv.conf; then
    export MEMORY_SIZE=$(grep "MEMORY_SIZE" /etc/beegfs/index/indexEnv.conf | cut -d= -f2)
fi

if grep -q "PULL_XATTERS" /etc/beegfs/index/indexEnv.conf; then
    EXTRA_OPTIONS="$EXTRA_OPTIONS -x"
fi

if grep -q "PRINT_SCANNED_DIR_COUNT" /etc/beegfs/index/indexEnv.conf; then
    EXTRA_OPTIONS="$EXTRA_OPTIONS -C"
fi

if grep -q "CREATE_TREE_SUM_WITH_OTHER_TABLES" /etc/beegfs/index/indexEnv.conf; then
    EXTRA_OPTIONS="$EXTRA_OPTIONS -s"
fi

if grep -q "RUN_CREATE_INDEX" /etc/beegfs/index/indexEnv.conf; then
    EXTRA_OPTIONS="$EXTRA_OPTIONS -k"
fi

if grep -q "RUN_UPDATE_INDEX" /etc/beegfs/index/indexEnv.conf; then
    EXTRA_OPTIONS="$EXTRA_OPTIONS -U"
fi

if grep -q "NO_BEEGFS_METADATA" /etc/beegfs/index/indexEnv.conf; then
    EXTRA_OPTIONS="$EXTRA_OPTIONS -B"
fi

